class Manufacturer {
    ManufacturerType manufacturerType
    String name
    String description = ""
    boolean isActive = true

    static hasMany = [inventoryItems: InventoryItem]

    static belongsTo = [InventoryItem]
    
    static contstraints = {
        name(maxSize:50,unique:true,blank:false)
        description(maxSize:100)
    }

    String toString() {
        "${this.name}"
    }
}
